Package org.eclipse.net4j.util.ui.widgets

# Class SecondaryToolItem

java.lang.Object
org.eclipse.swt.widgets.Widget
org.eclipse.swt.widgets.Item
org.eclipse.swt.widgets.ToolItem
org.eclipse.net4j.util.ui.widgets.SecondaryToolItem

public class SecondaryToolItem extends ToolItem

Since:
  3.5
Author:
  Eike Stepper

## Constructor Summary

Constructors
Constructor
Description
`SecondaryToolItem(ToolBar parent, int style, int index, Image image)`
`SecondaryToolItem(ToolBar parent, int style, Image image)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`checkSubclass()`
`void`
`dispose()`
`void`
`init(Image image)`

### Methods inherited from class org.eclipse.swt.widgets.ToolItem

`addSelectionListener, getBackground, getBounds, getControl, getDisabledImage, getEnabled, getForeground, getHotImage, getImage, getParent, getSelection, getToolTipText, getWidth, isEnabled, removeSelectionListener, setBackground, setControl, setDisabledImage, setEnabled, setForeground, setHotImage, setImage, setSelection, setText, setToolTipText, setWidth`

### Methods inherited from class org.eclipse.swt.widgets.Item

`getText`

### Methods inherited from class org.eclipse.swt.widgets.Widget

`addDisposeListener, addListener, addTypedListener, checkWidget, getData, getData, getDisplay, getListeners, getStyle, getTypedListeners, isAutoDirection, isDisposed, isListening, notifyListeners, removeDisposeListener, removeListener, removeListener, removeTypedListener, reskin, setData, setData, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SecondaryToolItem

public SecondaryToolItem(ToolBar parent, int style, Image image)

### SecondaryToolItem

public SecondaryToolItem(ToolBar parent, int style, int index, Image image)

## Method Details

### dispose

public void dispose()

Overrides:
  `dispose` in class `Widget`

### checkSubclass

protected void checkSubclass()

Overrides:
  `checkSubclass` in class `ToolItem`

### init

public void init(Image image)